Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
Class ClosureListExpression

This class rerpresents a list of expressions used to create closures. Example: `def foo = (1;2;;)` The right side is a ClosureListExpression consisting of two ConstantExpressions for the values 1 and 2, and two EmptyStatement entries. The ClosureListExpression defines a new variable scope. All created Closures share this scope.

author:
  Jochen Theodorou

Field Summary
`VariableScope` | `scope`

Constructor Summary
`ClosureListExpression(List expressions)`
`ClosureListExpression()`

Method Summary
`String` | `getText()`
`VariableScope` | `getVariableScope()`
`void` | `setVariableScope(VariableScope scope)`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### ClosureListExpression

    public ClosureListExpression(List expressions)

### ClosureListExpression

    public ClosureListExpression()

Method Detail

### getText

    public String getText()

### getVariableScope

    public VariableScope getVariableScope()

### setVariableScope

    public void setVariableScope(VariableScope scope)

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)